Support » Plugin: Easy Forms for Mailchimp » Unable to activate – Parse error

  • Resolved onegraphic

    (@onegraphic)


    Cannot activate, this error ap[pears after trying to activate.
    Newest wordpress and yikes software.

    Plugin could not be activated because it triggered a fatal error.

    Parse error: syntax error, unexpected T_STATIC, expecting ‘)’ in /home4/danclark/public_html/angelasinspirations.com/wp-content/plugins/yikes-inc-easy-mailchimp-extender/blocks/blocks.php on line 53

    PLease help.

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Contributor yikesitskevin

    (@yikesitskevin)

    Hi @onegraphic,

    Sorry about that! This error is coming from our Gutenberg block which is our newest feature. We’ve tried to make sure that the new code only runs on websites that can handle it but it looks like we’ve missed something.

    Do you know which version of PHP you’re using?

    Let me know & apologies again for the error.

    Thank you,
    Kevin.

    onegraphic

    (@onegraphic)

    Thanks for the super fast reply.
    I am running PHP Version 5.2.17

    Plugin Contributor yikesitskevin

    (@yikesitskevin)

    Hi @onegraphic,

    That’s the problem… We have some code to prevent our blocks logic from running for PHP versions < 5.6.0 but it looks like this is a syntax error and our safety check needs to occur before the file is loaded.

    We’ll clean this up in our next release. Do you know if you can update your PHP version?

    onegraphic

    (@onegraphic)

    I updated to 5.6, and it works fine. Thanks for your exemplary support!

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Unable to activate – Parse error’ is closed to new replies.